---
- name: list servers
  command: >
    rack servers instance list
    --name {{ RS_SERVER_NAME }}
  changed_when: no
  register: task

- name: delete server
  when: RS_SERVER_NAME in task.stdout
  command: >
    rack servers instance delete
    --name {{ RS_SERVER_NAME }}
    --wait-for-completion
